## postgresfixture 0.4.2

=== requirements.txt ===
fixtures >= 0.3.8
psycopg2 >= 2.4.4
testtools >= 0.9.14
testscenarios >= 0.4

## postgresfixture 0.4.1

=== debian/changelog ===
postgresfixture (0.4.1-1) unstable; urgency=medium

  * Initial release (closes: #934596).

 -- Colin Watson <cjwatson@debian.org>  Mon, 12 Aug 2019 13:37:24 +0100

=== debian/control ===
Source: postgresfixture
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>,
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all (>= 3.1.2-8~),
               python3-fixtures (>= 0.3.8),
               python3-psycopg2 (>= 2.4.4),
               python3-setuptools,
               python3-testscenarios (>= 0.4),
               python3-testtools (>= 0.9.14),
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/python-team/modules/postgresfixture.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/postgresfixture
Homepage: https://launchpad.net/postgresfixture

Package: python3-postgresfixture
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: postgresql,
Description: Fixture for creating PostgreSQL clusters and databases (Python 3)
 A fixture (https://launchpad.net/python-fixtures) for creating
 PostgreSQL clusters and databases and tearing them down again, intended
 for use during development and testing.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME := postgresfixture
# Upstream doesn't currently ship the tests in the sdist.  See:
#   https://code.launchpad.net/~cjwatson/postgresfixture/ship-tests/+merge/371180
export PYBUILD_DISABLE := test
# The main purpose of packaging this was to make the fixture available to
# other packages' test suites, so it doesn't seem worth adding another
# binary package for the command-line interface at the moment.  If you need
# this you can use "python3 -m postgresfixture" instead.
export PYBUILD_AFTER_INSTALL := rm -rfd '{destdir}/usr/bin'

%:
	dh $@ --with python3 --buildsystem=pybuild

## postgresfixture 0.4.2

=== debian/changelog ===
postgresfixture (0.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 01 Oct 2019 13:24:10 +0100

postgresfixture (0.4.1-2) unstable; urgency=medium

  * Source-only upload to allow migration to testing.

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Sep 2019 17:20:41 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Colin Watson <cjwatson@debian.org>,
 Build-Depends: debhelper-compat (= 12),
                dh-python,
+               postgresql,
                python3-all (>= 3.1.2-8~),
                python3-fixtures (>= 0.3.8),
                python3-psycopg2 (>= 2.4.4),

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME := postgresfixture
# The main purpose of packaging this was to make the fixture available to
# other packages' test suites, so it doesn't seem worth adding another
# binary package for the command-line interface at the moment.  If you need
# this you can use "python3 -m postgresfixture" instead.
export PYBUILD_AFTER_INSTALL := rm -rfd '{destdir}/usr/bin'

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## postgresfixture 0.4.3

=== debian/changelog ===
postgresfixture (0.4.3-3) unstable; urgency=medium

  * Use pybuild-plugin-pyproject.
  * Set Rules-Requires-Root: no.

 -- Colin Watson <cjwatson@debian.org>  Sat, 16 Mar 2024 01:20:46 +0000

postgresfixture (0.4.3-2) unstable; urgency=medium

  * Update watch file format version to 4.
  * Update standards version to 4.6.2, no changes needed.
  * Ignore changes to *.egg-info/* when building source package (closes:
    #1049150).

 -- Colin Watson <cjwatson@debian.org>  Mon, 14 Aug 2023 13:54:07 +0100

postgresfixture (0.4.3-1) unstable; urgency=medium

  * New upstream release:
    - Fix test failures if Cluster.running produces warnings (closes:
      #1020098).
    - Compare PostgreSQL versions using packaging.version.Version.

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Sep 2022 13:51:21 +0100

postgresfixture (0.4.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Colin Watson ]
  * Upgrade to debhelper v13.

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Dec 2021 00:50:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: postgresfixture
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                postgresql,
+               pybuild-plugin-pyproject,
                python3-all (>= 3.1.2-8~),
                python3-fixtures (>= 0.3.8),
+               python3-packaging,
                python3-psycopg2 (>= 2.4.4),
                python3-setuptools,
                python3-testscenarios (>= 0.4),
                python3-testtools (>= 0.9.14),
-Standards-Version: 4.4.0
-Vcs-Git: https://salsa.debian.org/python-team/modules/postgresfixture.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/postgresfixture
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/python-team/packages/postgresfixture.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/postgresfixture
 Homepage: https://launchpad.net/postgresfixture
+Rules-Requires-Root: no
 
 Package: python3-postgresfixture
 Architecture: all

## postgresfixture 0.5.0

=== requirements.txt ===
fixtures >= 0.3.8
packaging
psycopg2 >= 2.4.4
testtools >= 0.9.14
testscenarios >= 0.4

=== debian/changelog ===
postgresfixture (0.5.0-2) unstable; urgency=medium

  * d/watch: Upgrade to v5.
  * Use dh-sequence-python3.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Thu, 18 Sep 2025 13:04:07 +0100

postgresfixture (0.5.0-1) unstable; urgency=medium

  * New upstream release:
    - Drop support for Python 2; add up to 3.13 (closes: #1084648).
  * Enable autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Oct 2024 23:19:36 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                postgresql,
                pybuild-plugin-pyproject,
                python3-all (>= 3.1.2-8~),
@@ -14,11 +14,12 @@
                python3-setuptools,
                python3-testscenarios (>= 0.4),
                python3-testtools (>= 0.9.14),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/postgresfixture.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/postgresfixture
 Homepage: https://launchpad.net/postgresfixture
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-postgresfixture
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME := postgresfixture
export PYBUILD_TEST_ARGS := {dir}/postgresfixture/tests
# The main purpose of packaging this was to make the fixture available to
# other packages' test suites, so it doesn't seem worth adding another
# binary package for the command-line interface at the moment.  If you need
# this you can use "python3 -m postgresfixture" instead.
export PYBUILD_AFTER_INSTALL := rm -rfd '{destdir}/usr/bin'

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/postgresfixture/
Matching-Pattern: postgresfixture-@ANY_VERSION@@ARCHIVE_EXT@
Uversion-Mangle: s/(rc|a|b|c)/~$1/
